Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366720 - Use lib64 on 64-bit MIPS
Summary: Use lib64 on 64-bit MIPS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pth
Version: 26
Hardware: mips64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MIPS
TreeView+ depends on / blocked
 
Reported: 2016-08-12 15:59 UTC by Michal Toman
Modified: 2017-10-02 17:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-02 17:51:54 UTC


Attachments (Terms of Use)
Use-lib64-on-64-bit-MIPS.patch (deleted)
2016-08-12 15:59 UTC, Michal Toman
no flags Details | Diff

Description Michal Toman 2016-08-12 15:59:16 UTC
Created attachment 1190491 [details]
Use-lib64-on-64-bit-MIPS.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires updating pth to use lib64 on 64-bit MIPS.

Actual results:
Build fails lib is used on 64-bit MIPS.

Expected results:
Build passes.

Additional info:
Attaching dist-git patch. It would be nice to have this in F25 as well.

Comment 1 Fedora End Of Life 2017-02-28 10:06:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Michael Schwendt 2017-10-02 17:51:54 UTC
Fix applied to Rawhide. Propagating the change to other branches would result in releasing superfluous rebuilds/updates, which is frowned upon.

[...]

Only stumbled into the ticket via the old pkgdb bugz web interface. Haven't seen an email notification back then.


Note You need to log in before you can comment on or make changes to this bug.